/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package csc212lab11;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.Scanner;

/**
 *
 * @author William
 */
public class Players {

    private ArrayList<Player> list;
    private ArrayList<String> ids;

    public Players() {
        ids = new ArrayList<String>();
        list = new ArrayList<Player>();
    }

    public void load(String fn) throws FileNotFoundException {
        File f = new File(fn);
        Scanner sc = new Scanner(f);

        int i = 0;
        while (sc.hasNextLine()) {
            // Create a Scanner from the input line
            Scanner lineScanner = new Scanner(sc.nextLine());
            // Change the delimiter to a comma
            lineScanner.useDelimiter(",");
            // Add this ID
            ids.add(i, lineScanner.next());
            // Create a Player from the remaining tokens
            Player p = new Player(lineScanner.next(), lineScanner.next());
            // Add the missing statement
            list.add(p);
            i++;
        }
    }

    public String getPlayerByID(String id) {
        int index = ids.indexOf(id);
        if (index > -1) {
            // Player was found
            return list.get(index).toString();
        } else {
            // Player was not found
            return null;
        }
    }

    public void printIdsByName(String l) {
        // Print all ids whose last name matches parameter
        for (int i = 0; i < list.size(); i++) {
            if (list.get(i).getLastName().equals(l)) {
                // Name match on this index
                System.out.println(ids.get(i) + ": " + list.get(i));
            }
        }
    }

}
